commit:     a2ceadb624129386f96745fb995187b7f06f22c0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  4 14:37:47 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Oct  4 15:10:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2ceadb6

dev-perl/Text-BibTeX: don't redefine _FORTIFY_SOURCE

Closes: https://bugs.gentoo.org/893592
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-perl/Text-BibTeX/Text-BibTeX-0.890.0-r1.ebuild | 48 ++++++++++++++++++++++
 ...ibTeX-0.890.0-dont-clobber-fortify-source.patch | 13 ++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-perl/Text-BibTeX/Text-BibTeX-0.890.0-r1.ebuild 
b/dev-perl/Text-BibTeX/Text-BibTeX-0.890.0-r1.ebuild
new file mode 100644
index 000000000000..278620286778
--- /dev/null
+++ b/dev-perl/Text-BibTeX/Text-BibTeX-0.890.0-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DIST_AUTHOR=AMBS
+DIST_VERSION=0.89
+DIST_EXAMPLES=( "examples/*" "scripts/*" )
+
+inherit perl-module
+
+DESCRIPTION="A Perl library for reading, parsing, and processing BibTeX files"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+       !dev-libs/btparse
+       virtual/perl-Encode
+       virtual/perl-Scalar-List-Utils
+       virtual/perl-Unicode-Normalize
+"
+BDEPEND="
+       ${RDEPEND}
+       >=dev-perl/Config-AutoConf-0.320
+       >=dev-perl/ExtUtils-LibBuilder-0.20.0
+       >=virtual/perl-ExtUtils-CBuilder-0.270.0
+       >=dev-perl/Module-Build-0.360.300
+       test? (
+               >=dev-perl/Capture-Tiny-0.60.0
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.890.0-dont-clobber-fortify-source.patch
+)
+
+src_prepare() {
+       sed -i -e "/#include <stdio.h>/a #include <string.h>"\
+               btparse/tests/{tex,purify,postprocess,name,macro}_test.c || die
+       perl-module_src_prepare
+}
+
+src_install() {
+       perl-module_src_install
+       doheader btparse/src/btparse.h
+       doheader btparse/src/bt_config.h
+}

diff --git 
a/dev-perl/Text-BibTeX/files/Text-BibTeX-0.890.0-dont-clobber-fortify-source.patch
 
b/dev-perl/Text-BibTeX/files/Text-BibTeX-0.890.0-dont-clobber-fortify-source.patch
new file mode 100644
index 000000000000..2acdbca78e55
--- /dev/null
+++ 
b/dev-perl/Text-BibTeX/files/Text-BibTeX-0.890.0-dont-clobber-fortify-source.patch
@@ -0,0 +1,13 @@
+Don't override our compiler defaults.
+
+https://bugs.gentoo.org/893592
+--- a/inc/MyBuilder.pm
++++ b/inc/MyBuilder.pm
+@@ -208,7 +208,6 @@ sub ACTION_create_objects {
+         $object =~ s/\.c/.o/;
+         next if $self->up_to_date($file, $object);
+         $cbuilder->compile(object_file  => $object,
+-                           
extra_compiler_flags=>["-D_FORTIFY_SOURCE=1",@EXTRA_FLAGS],
+                            source       => $file,
+                            include_dirs => ["btparse/src"]);
+     }

Reply via email to